Bug 847202

Summary: CVE-2012-3463 CVE-2012-3464 CVE-2012-3465 CVE-2013-0156 rubygem-actionpack various flaws [epel-5]
Product: [Fedora] Fedora EPEL Reporter: Kurt Seifried <kseifried>
Component: rubygem-actionpackAssignee: Michael Stahnke <mastahnke>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el5CC: jrusnack, mastahnke, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_owner=jrusnack
Fixed In Version: rubygem-actionpack-2.3.18-1.el5 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-15 23:16:17 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 847196, 847199, 847200, 892870    

Description Kurt Seifried 2012-08-10 01:24:16 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:

epel-5 tracking bug for rubygem-actionpack: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2012-08-10 01:24:43 EDT
Adding parent bug CVE-2012-3464
New bodhi update url:
Comment 2 Kurt Seifried 2012-08-10 01:25:02 EDT
Adding parent bug CVE-2012-3465
New bodhi update url:
Comment 3 Tomas Hoger 2012-08-24 10:10:14 EDT
Note that upstream notes CVE-2012-3463 as unaffected.  EPEL-5 has 2.1.1 and may be unaffected too.
Comment 4 Vincent Danen 2013-01-08 21:26:55 EST
Adding parent bug CVE-2013-0156.  Please use this new bodhi update url when correcting
these flaws:

Comment 5 Michael Stahnke 2014-10-22 02:17:18 EDT
CVE-2012-3463 is not impacted the el5 2.3.x series.
Comment 6 Michael Stahnke 2014-10-22 02:21:44 EDT
 CVE-2013-0156 is resolved in 2.3.15 and higher.
Comment 7 Michael Stahnke 2014-10-22 02:22:22 EDT
There don't appear to be patches for the 2.x series for  CVE-2012-3464 CVE-2012-3465. I'm not sure what to do here.
Comment 8 Fedora Update System 2014-10-22 02:38:37 EDT
rubygem-actionpack-2.3.18-1.el5,rubygem-activerecord-2.3.18-1.el5,rubygem-activesupport-2.3.18-1.el5 has been submitted as an update for Fedora EPEL 5.
Comment 9 Fedora Update System 2014-10-22 14:49:07 EDT
Package rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rubygem-actionpack-2.3.18-1.el5 rubygem-activerecord-2.3.18-1.el5 rubygem-activesupport-2.3.18-1.el5'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-11-15 23:16:17 EST
rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.